Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.standalone
Class UserTransactionServiceFactory

    java.lang.Object
      com.atomikos.icatch.config.imp.AbstractUserTransactionServiceFactory
          com.atomikos.icatch.standalone.UserTransactionServiceFactory

All Implemented Interfaces:
  UserTransactionServiceFactory

    public final class UserTransactionServiceFactory

extends AbstractUserTransactionServiceFactory
implements UserTransactionServiceFactory

The configuration (facade) class for the standalone version of the transaction manager. This version supports no import or export of transactions.

Field Summary

Fields inherited from class com.atomikos.icatch.config.imp.AbstractUserTransactionServiceFactory
`AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME, CHECKPOINT_INTERVAL_PROPERTY_NAME, CLIENT_DEMARCATION_PROPERTY_NAME, CONSOLE_FILE_COUNT_PROPERTY_NAME, CONSOLE_FILE_LIMIT_PROPERTY_NAME, CONSOLE_FILE_NAME_PROPERTY_NAME, CONSOLE_LOG_LEVEL_PROPERTY_NAME, DEFAULT_JTA_TIMEOUT_PROPERTY_NAME, ENABLE_LOGGING_PROPERTY_NAME, JNDI_INITIAL_CONTEXT_FACTORY_PROPERTY_NAME, JNDI_PROVIDER_URL_PROPERTY_NAME, LOG_BASE_DIR_PROPERTY_NAME, LOG_BASE_NAME_PROPERTY_NAME, MAX_ACTIVES_PROPERTY_NAME, MAX_TIMEOUT_PROPERTY_NAME, OUTPUT_DIR_PROPERTY_NAME, REGISTER_SHUTDOWN_HOOK_PROPERTY_NAME, RMI_EXPORT_CLASS_PROPERTY_NAME, SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME, THREADED_2PC_PROPERTY_NAME, TM_UNIQUE_NAME_PROPERTY_NAME`

Constructor Summary
`UserTransactionServiceFactory()`

Method Summary
`UserTransactionService` | `getUserTransactionService(Properties properties)` Get the UserTransactionManager instance for the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserTransactionServiceFactory

    public UserTransactionServiceFactory()

Method Detail

### getUserTransactionService

    public UserTransactionService getUserTransactionService(Properties properties)

  Get the UserTransactionManager instance for the configuration.

  Specified by:
    `getUserTransactionService` in interface `UserTransactionServiceFactory`
  Parameters:
    `properties` - The properties as specified by the client.
  Returns:
    UserTransactionManager The UserTransactionManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.